# Get Trading Volume

<EndpointPage
  breadcrumbs={[
    { label: "Trading", href: "/trading/trading" },
    { label: "Orders", href: "/trading/rest-api/orders" },
    { label: "Get Trading Volume" },
  ]}
  title="Get Trading Volume"
  method="POST"
  url="https://api.gemini.com/v1/tradevolume"
  description="Get the trading volume for each symbol across a 30-day trailing window."
  example={{
    request: {
      method: "POST",
      url: "https://api.gemini.com/v1/tradevolume",
      headers: [
        { name: "X-GEMINI-APIKEY", value: "<string>" },
        { name: "X-GEMINI-PAYLOAD", value: "<string>" },
        { name: "X-GEMINI-SIGNATURE", value: "<string>" },
      ],
      body: {
        request: "/v1/tradevolume",
        nonce: "<nonce>",
      },
    },
  }}
  sections={[
    {
      heading: "Roles",
      children: (
        <>
          <p style={{ margin: "0 0 2px" }}>The API key you use to access this endpoint must have the Trader or Auditor role assigned. See <a href="https://docs.gemini.com/roles#roles" style={{ color: "inherit", textDecorationLine: "underline" }}>Roles</a> for more information.</p>
          <p style={{ margin: 0 }}>The OAuth scope must have <InlineBadge>history:read</InlineBadge> assigned to access this endpoint. See <a href="/authentication/oauth#oauth-scopes" style={{ color: "inherit", textDecorationLine: "underline" }}>OAuth Scopes</a> for more information.</p>
        </>
      ),
    },
    {
      heading: "Headers",
      children: <SpecHeaders operationId="getTradingVolume" />,
    },
    {
      heading: "Request Body",
      children: <SpecParams operationId="getTradingVolume" />,
    },
    {
      heading: "Responses",
      children: <SpecResponses operationId="getTradingVolume" />,
    },
  ]}
/>

<PageNavigation
  prev={{ label: "List Past Trades", href: "/trading/rest-api/orders/list-past-trades" }}
  next={{ label: "Get Notional Trading Volume", href: "/trading/rest-api/orders/get-notional-trading-volume" }}
/>
